curl --request POST \ --url https://api.uniblock.dev/uni/v1/json-rpc?chainId=43114 \ --header 'content-type: application/json' \ --data '{ "id": 1, "jsonrpc": "2.0", "method": "eth_getFilterChanges", "params": [ "0x16" ] }'
{ "jsonrpc": "2.0", "id": 1, "result": [ { "logIndex": "0x1", "blockNumber": "0x1b4", "blockHash": "0x8216c5785ac562ff41e2dcfdf5785ac562ff41e2dcfdf829c5a142f1fccd7d", "transactionHash": "0xdf829c5a142f1fccd7d8216c5785ac562ff41e2dcfdf5785ac562ff41e2dcf", "transactionIndex": "0x0", "address": "0x16c5785ac562ff41e2dcfdf829c5a142f1fccd7d", "data": "0x0000000000000000000000000000000000000000000000000000000000000000", "topics": [ "0x59ebeb90bc63057b6515673c3ecf9438e5058bca0f92585014eced636878c9a5" ] } ] }
Polling method for a filter, which returns an array of logs which occurred since last poll.
eth_getFilterChanges
params[0]
Show items
Show properties